curl --request GET \
--url https://api.hubapi.com/communication-preferences/v4/definitions \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"isActive": true,
"isDefault": true,
"isInternal": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"communicationMethod": "<string>",
"purpose": "<string>",
"subscriptionTranslations": [
{
"createdAt": 123,
"description": "<string>",
"languageCode": "<string>",
"name": "<string>",
"subscriptionId": 123,
"updatedAt": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Obtener una lista de definiciones de estado de suscripción de la cuenta.
curl --request GET \
--url https://api.hubapi.com/communication-preferences/v4/definitions \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"isActive": true,
"isDefault": true,
"isInternal": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"communicationMethod": "<string>",
"purpose": "<string>",
"subscriptionTranslations": [
{
"createdAt": 123,
"description": "<string>",
"languageCode": "<string>",
"name": "<string>",
"subscriptionId": 123,
"updatedAt": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Un número entero que representa el ID de la unidad de negocio para filtrar las definiciones de suscripción.
Un booleano que indica si se deben incluir las traducciones de las definiciones de suscripción en la respuesta.
successful operation
La fecha y la hora en que se completó la operación.
Una matriz que contiene los resultados de la operación.
Show child attributes
La fecha y la hora en que se inició la operación.
El estado actual de la operación, puede ser PENDIENTE, PROCESANDO, CANCELADO o COMPLETADO.
CANCELED, COMPLETE, PENDING, PROCESSING Una matriz de los errores que se produjeron durante la operación.
Show child attributes
Una recopilación de enlaces asociados con la operación.
Show child attributes
El número de errores encontrados durante la operación.
La fecha y la hora en que se solicitó la operación.